Delete a Custom Segment
Deletes a custom segment from the database
Query Parameters
- Type: stringcustom
_segment _id Unique ID of the custom segment that will be deleted
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
Responses
- application/json
- application/json
- application/json
Request Example for delete/api2/dashboard/custom_segments
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/custom_segments?custom_segment_id=' \
--request DELETE \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Accept: application/json'
{
"accepted": "Custom Segment Dummy Custom Segment has been marked for deletion"
}